Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class Navigator.AxisFilter

    java.lang.Object
      net.sf.saxon.om.AxisIteratorImpl
          net.sf.saxon.om.Navigator.AxisFilter

All Implemented Interfaces:
  AtomizableIterator, AxisIterator, SequenceIterator

Enclosing class:
  Navigator

public static class Navigator.AxisFilter
extends AxisIteratorImpl

AxisFilter is an iterator that applies a NodeTest filter to the nodes returned by an underlying AxisIterator.

Field Summary

Fields inherited from class net.sf.saxon.om.AxisIteratorImpl
`current, position`

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`ATOMIZABLE, GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`Navigator.AxisFilter(AxisIterator base, NodeTest test)` S Construct a AxisFilter

Method Summary
`SequenceIterator` | `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence.
`Item` | `next()` Get the next item in the sequence.

Methods inherited from class net.sf.saxon.om.AxisIteratorImpl
`current, getProperties, isAtomizing, position, setIsAtomizing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Navigator.AxisFilter

    public Navigator.AxisFilter(AxisIterator base,
                                NodeTest test)

  S Construct a AxisFilter

Parameters:
  `base` - the underlying iterator that returns all the nodes on a required axis. This must not be an atomizing iterator!
  `test` - a NodeTest that is applied to each node returned by the underlying AxisIterator; only those nodes that pass the NodeTest are returned by the AxisFilter

Method Detail

### next

    public Item next()

  Description copied from interface: `AxisIterator`
  Get the next item in the sequence.

  Returns:
    the next Item. If there are no more nodes, return null.

### getAnother

    public SequenceIterator getAnother()

  Description copied from interface: `AxisIterator`
  Get another iterator over the same sequence of items, positioned at the start of the sequence. It must be possible to call this method at any time, whether none, some, or all of the items in the original iterator have been read. The method is non-destructive: it does not change the state of the original iterator.

  Returns:
    a new iterator over the same sequence

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD